Cyberduck Mountain Duck CLI

#6241 closed enhancement (fixed)

Unnecessary path structure in ZIP created with archive feature

Reported by: wlado Owned by: dkocher
Priority: normal Milestone: 4.4
Component: sftp Version: 4.1
Severity: normal Keywords: ZIP
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

When zip (Create Archive) is used for directory - result is the directory containing all directories as path to original directory. It is also security risk, because user on other side can see structure of directories.

Example: directory_a ==> directory_1/directory_2/directory_3/directory_4/directory_a/file_1 ...

I expect the same behavior as in the Terminal:

zip -r foo.zip directory_a

result is directory_a containing file_1

Change History (7)

comment:1 Changed on Sep 20, 2011 at 9:08:04 AM by dkocher

  • Milestone set to 4.1.3

This is because we always path absolute path names without changing the working directory. Unfortunately zip doesn't have a -C option like tar.

Last edited on Sep 20, 2011 at 9:08:38 AM by dkocher (previous) (diff)

comment:2 Changed on Sep 20, 2011 at 12:01:27 PM by dkocher

  • Milestone 4.1.3 deleted

comment:3 Changed on Nov 6, 2011 at 10:26:54 AM by dkocher

  • Description modified (diff)

comment:4 Changed on May 9, 2012 at 9:52:11 AM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher
  • Summary changed from ZIP - unnecessary path structure in file to Unnecessary path structure in ZIP created with archive feature

comment:5 Changed on Oct 16, 2012 at 5:13:47 PM by dkocher

  • Milestone set to 4.3
  • Type changed from defect to enhancement

comment:6 Changed on Dec 19, 2012 at 12:54:21 PM by dkocher

See also #6644.

comment:7 Changed on Jul 9, 2013 at 1:53:26 PM by dkocher

  • Milestone changed from 4.5 to 4.4
  • Resolution set to fixed
  • Status changed from new to closed

In r11804 and r11806.

In r12416.

Last edited on Jul 30, 2013 at 12:28:42 PM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software